require('.classes-1')
require('.classes-2')
require('.classes-3')
require('.classes-4')
require('.classes-5')
require('.classes-6')
require('.classes-7')
require('.classes-8')
require('.classes-9')
require('.classes-10')
require('.classes-11')

----
--- All methods and properties that this object supports.
--- 
--- @return string 
----
function LuaVoidEnergySourcePrototype.help() end


----
--- @class LuaWallControlBehavior: LuaControlBehavior
--- Control behavior for walls.
--- 
--- @field circuit_condition CircuitConditionDefinition The circuit condition.
--- @field open_gate boolean 
--- @field read_sensor boolean 
--- @field output_signal SignalID 
--- @field valid boolean Is this object valid? This Lua object holds a reference to an object within the game engine. It is possible that the game-engine object is removed whilst a mod still holds the corresponding Lua object. If that happens, the object becomes invalid, i.e. this attribute will be `false`. Mods are advised to check for object validity if any change to the game state might have occurred between the creation of the Lua object and its access.
--- @field object_name string The class name of this object. Available even when `valid` is false. For LuaStruct objects it may also be suffixed with a dotted path to a member of the struct.
----
LuaWallControlBehavior = { }

----
--- All methods and properties that this object supports.
--- 
--- @return string 
----
function LuaWallControlBehavior.help() end




