require('.defines-1')
require('.defines-2')

defines.relative_gui_type.accumulator_gui = 0
defines.relative_gui_type.achievement_gui = 1
defines.relative_gui_type.additional_entity_info_gui = 2
defines.relative_gui_type.admin_gui = 3
defines.relative_gui_type.arithmetic_combinator_gui = 4
defines.relative_gui_type.armor_gui = 5
defines.relative_gui_type.assembling_machine_gui = 6
defines.relative_gui_type.assembling_machine_select_recipe_gui = 7
defines.relative_gui_type.beacon_gui = 8
defines.relative_gui_type.blueprint_book_gui = 9
defines.relative_gui_type.blueprint_library_gui = 10
defines.relative_gui_type.blueprint_setup_gui = 11
defines.relative_gui_type.bonus_gui = 12
defines.relative_gui_type.burner_equipment_gui = 13
defines.relative_gui_type.car_gui = 14
defines.relative_gui_type.constant_combinator_gui = 15
defines.relative_gui_type.container_gui = 16
defines.relative_gui_type.controller_gui = 17
defines.relative_gui_type.decider_combinator_gui = 18
defines.relative_gui_type.deconstruction_item_gui = 19
defines.relative_gui_type.electric_energy_interface_gui = 20
defines.relative_gui_type.electric_network_gui = 21
defines.relative_gui_type.entity_variations_gui = 22
defines.relative_gui_type.entity_with_energy_source_gui = 23
defines.relative_gui_type.equipment_grid_gui = 24
defines.relative_gui_type.furnace_gui = 25
defines.relative_gui_type.generic_on_off_entity_gui = 26
defines.relative_gui_type.heat_interface_gui = 27
defines.relative_gui_type.infinity_pipe_gui = 28
defines.relative_gui_type.inserter_gui = 29
defines.relative_gui_type.item_with_inventory_gui = 30
defines.relative_gui_type.lab_gui = 31
defines.relative_gui_type.lamp_gui = 32
defines.relative_gui_type.linked_container_gui = 33
defines.relative_gui_type.loader_gui = 34
defines.relative_gui_type.logistic_gui = 35
defines.relative_gui_type.market_gui = 36
defines.relative_gui_type.mining_drill_gui = 37
defines.relative_gui_type.other_player_gui = 38
defines.relative_gui_type.permissions_gui = 39
defines.relative_gui_type.pipe_gui = 40
defines.relative_gui_type.power_switch_gui = 41
defines.relative_gui_type.production_gui = 42
defines.relative_gui_type.programmable_speaker_gui = 43
defines.relative_gui_type.rail_chain_signal_gui = 44
defines.relative_gui_type.rail_signal_gui = 45
defines.relative_gui_type.reactor_gui = 46
defines.relative_gui_type.rename_stop_gui = 47
defines.relative_gui_type.resource_entity_gui = 48
defines.relative_gui_type.roboport_gui = 49
defines.relative_gui_type.rocket_silo_gui = 50
defines.relative_gui_type.script_inventory_gui = 51
defines.relative_gui_type.server_config_gui = 52
defines.relative_gui_type.spider_vehicle_gui = 53
defines.relative_gui_type.splitter_gui = 54
defines.relative_gui_type.standalone_character_gui = 55
defines.relative_gui_type.storage_tank_gui = 56
defines.relative_gui_type.tile_variations_gui = 57
defines.relative_gui_type.train_gui = 58
defines.relative_gui_type.train_stop_gui = 59
defines.relative_gui_type.trains_gui = 60
defines.relative_gui_type.transport_belt_gui = 61
defines.relative_gui_type.upgrade_item_gui = 62
defines.relative_gui_type.wall_gui = 63

----
--- @class defines.render_mode: int
--- 
--- @field game defines.render_mode 
--- @field chart defines.render_mode 
--- @field chart_zoomed_in defines.render_mode 
----
defines.render_mode = { }

defines.render_mode.game = 0
defines.render_mode.chart = 1
defines.render_mode.chart_zoomed_in = 2

----
--- @class defines.rich_text_setting: int
--- 
--- @field enabled defines.rich_text_setting 
--- @field disabled defines.rich_text_setting 
--- @field highlight defines.rich_text_setting 
----
defines.rich_text_setting = { }

defines.rich_text_setting.enabled = 0
defines.rich_text_setting.disabled = 1
defines.rich_text_setting.highlight = 2

----
--- @class defines.riding: int
--- 
--- @field acceleration defines.riding.acceleration 
--- @field direction defines.riding.direction 
----
defines.riding = { }

----
--- @class defines.riding.acceleration: int
--- 
--- @field nothing defines.riding.acceleration 
--- @field accelerating defines.riding.acceleration 
--- @field braking defines.riding.acceleration 
--- @field reversing defines.riding.acceleration 
----
defines.riding.acceleration = { }

defines.riding.acceleration.nothing = 0
defines.riding.acceleration.accelerating = 1
defines.riding.acceleration.braking = 2
defines.riding.acceleration.reversing = 3

----
--- @class defines.riding.direction: int
--- 
--- @field left defines.riding.direction 
--- @field straight defines.riding.direction 
--- @field right defines.riding.direction 
----
defines.riding.direction = { }

defines.riding.direction.left = 0
defines.riding.direction.straight = 1
defines.riding.direction.right = 2


----
--- @class defines.rocket_silo_status: int
--- 
--- @field building_rocket defines.rocket_silo_status 
--- @field create_rocket defines.rocket_silo_status 
--- @field lights_blinking_open defines.rocket_silo_status 
--- @field doors_opening defines.rocket_silo_status 
--- @field doors_opened defines.rocket_silo_status 
--- @field rocket_rising defines.rocket_silo_status 
--- @field arms_advance defines.rocket_silo_status 
--- @field rocket_ready defines.rocket_silo_status 
--- @field launch_starting defines.rocket_silo_status 
--- @field engine_starting defines.rocket_silo_status 
--- @field arms_retract defines.rocket_silo_status 
--- @field rocket_flying defines.rocket_silo_status 
--- @field lights_blinking_close defines.rocket_silo_status 
--- @field doors_closing defines.rocket_silo_status 
--- @field launch_started defines.rocket_silo_status 
----
defines.rocket_silo_status = { }

defines.rocket_silo_status.building_rocket = 0
defines.rocket_silo_status.create_rocket = 1
defines.rocket_silo_status.lights_blinking_open = 2
defines.rocket_silo_status.doors_opening = 3
defines.rocket_silo_status.doors_opened = 4
defines.rocket_silo_status.rocket_rising = 5
defines.rocket_silo_status.arms_advance = 6
defines.rocket_silo_status.rocket_ready = 7
defines.rocket_silo_status.launch_starting = 8
defines.rocket_silo_status.engine_starting = 9
defines.rocket_silo_status.arms_retract = 10
defines.rocket_silo_status.rocket_flying = 11
defines.rocket_silo_status.lights_blinking_close = 12
defines.rocket_silo_status.doors_closing = 13
defines.rocket_silo_status.launch_started = 14

----
--- @class defines.shooting: int
--- 
--- @field not_shooting defines.shooting 
--- @field shooting_enemies defines.shooting 
--- @field shooting_selected defines.shooting 
----
defines.shooting = { }

defines.shooting.not_shooting = 0
defines.shooting.shooting_enemies = 1
defines.shooting.shooting_selected = 2

----
--- @class defines.signal_state: int
--- State of an ordinary rail signal.
--- 
--- @field open defines.signal_state Green.
--- @field closed defines.signal_state Red.
--- @field reserved defines.signal_state Orange.
--- @field reserved_by_circuit_network defines.signal_state Red - From circuit network.
----
defines.signal_state = { }

defines.signal_state.open = 0
defines.signal_state.closed = 1
defines.signal_state.reserved = 2
defines.signal_state.reserved_by_circuit_network = 3

----
--- @class defines.train_state: int
--- 
--- @field on_the_path defines.train_state Normal state -- following the path.
--- @field path_lost defines.train_state Had path and lost it -- must stop.
--- @field no_schedule defines.train_state Doesn't have anywhere to go.
--- @field no_path defines.train_state Has no path and is stopped.
--- @field arrive_signal defines.train_state Braking before a rail signal.
--- @field wait_signal defines.train_state Waiting at a signal.
--- @field arrive_station defines.train_state Braking before a station.
--- @field wait_station defines.train_state Waiting at a station.
--- @field manual_control_stop defines.train_state Switched to manual control and has to stop.
--- @field manual_control defines.train_state Can move if user explicitly sits in and rides the train.
--- @field destination_full defines.train_state Same as no_path but all candidate train stops are full
----
defines.train_state = { }

defines.train_state.on_the_path = 0
defines.train_state.path_lost = 1
defines.train_state.no_schedule = 2
defines.train_state.no_path = 3
defines.train_state.arrive_signal = 4
defines.train_state.wait_signal = 5
defines.train_state.arrive_station = 6
defines.train_state.wait_station = 7
defines.train_state.manual_control_stop = 8
defines.train_state.manual_control = 9
defines.train_state.destination_full = 10

----
--- @class defines.transport_line: int
--- 
--- @field left_line defines.transport_line 
--- @field right_line defines.transport_line 
--- @field left_underground_line defines.transport_line 
--- @field right_underground_line defines.transport_line 
--- @field secondary_left_line defines.transport_line 
--- @field secondary_right_line defines.transport_line 
--- @field left_split_line defines.transport_line 
--- @field right_split_line defines.transport_line 
--- @field secondary_left_split_line defines.transport_line 
--- @field secondary_right_split_line defines.transport_line 
----
defines.transport_line = { }

defines.transport_line.left_line = 0
defines.transport_line.right_line = 1
defines.transport_line.left_underground_line = 2
defines.transport_line.right_underground_line = 3
defines.transport_line.secondary_left_line = 4
defines.transport_line.secondary_right_line = 5
defines.transport_line.left_split_line = 6
defines.transport_line.right_split_line = 7
defines.transport_line.secondary_left_split_line = 8
defines.transport_line.secondary_right_split_line = 9

----
--- @class defines.wire_connection_id: int
--- 
--- @field electric_pole defines.wire_connection_id 
--- @field power_switch_left defines.wire_connection_id 
--- @field power_switch_right defines.wire_connection_id 
----
defines.wire_connection_id = { }

defines.wire_connection_id.electric_pole = 0
defines.wire_connection_id.power_switch_left = 1
defines.wire_connection_id.power_switch_right = 2

----
--- @class defines.wire_type: int
--- 
--- @field red defines.wire_type 
--- @field green defines.wire_type 
--- @field copper defines.wire_type 
----
defines.wire_type = { }

defines.wire_type.red = 0
defines.wire_type.green = 1
defines.wire_type.copper = 2



